# 轻应用平台 REST API SDK

[![Build Status](https://travis-ci.org/cmiot-baas/baas-rest-sdk-js.svg?branch=master)](https://travis-ci.org/cmiot-baas/baas-rest-sdk-js)

- 如何使用
- [JS API文档](https://cmiot-baas.github.io/baas-rest-sdk-js/)
- [REST API接口文档](http://demo.heclouds.com/baasapi/swagger-ui.html)

## 如何使用
- 安装
- 用例
> 分别支持Nodejs端和浏览器端，浏览器端使用CORS来实现跨域。

### 安装
- nodejs（需要nodejs7.0+）  
```js
npm install baas-rest-sdk-js --save
or
yarn add baas-rest-sdk-js
```

- 浏览器页面
```
// 1.下载APIClient.browser.js文件：https://github.com/cmiot-baas/baas-rest-sdk-js/tree/master/dist/APIClient.browser.js
// 2.引入js
<script src="./APIClient.browser.js"></script>
```

### 用例
- nodejs端
```js
var APIClient = require('baas-rest-sdk-js');
var client = new APIClient({
    accessId:'1',
    accessKey:'2',
    domain: 'http://demo.heclouds.com/baasapi/', // BaaS API服务地址
    debug: false // 是否打印日志信息
});
// 用户登录
async function login(user){
    let ret = await client.loginUsingPOST(user);
    // 获取session-token
    let sessionToken = ret.response.headers.get('session-token');
    // 获取数据
    console.log('status: ', ret.status);
    console.log('data: ', ret.body);
    console.log('response: ', ret.response); // 返回node-fetch.Response
}
// 调用
login({
    loginName: 'YOUR_LOGIN_NAME',
    password: 'YOUR_PASSWORD',
    appToken: 'YOUR_APP_TOKEN'
});
```

- 浏览器端
```html
<!DOCTYPE html>
<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>Demo page</title>
    <script src="./APIClient.browser.js"></script>
</head>
<body>
SDK BROWSER
</body>
<script type="text/javascript">
    var client = new APIClient({
        accessId: '1',
        accessKey: '2',
        domain:'http://demo.heclouds.com/baasapi', // 注意前端浏览器跨域！！！
        debug: true,
    });
    var user = {
        loginName: 'YOUR_LOGIN_NAME',
        password: 'YOUR_PASSWORD',
        appToken: 'YOUR_APP_TOKEN'
    };
    var promise = client.loginUsingPOST(user);
    promise.then(function (ret) {
        console.log(ret)
    }).catch(function (err) {
        console.error(err);
    });
</script>
</html>
```

